Bug 1846187 - Increase the timeout waiting for ironic node deployment
Summary: Increase the timeout waiting for ironic node deployment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.0
Assignee: Stephen Benjamin
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On: 1843314
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-11 02:22 UTC by OpenShift BugZilla Robot
Modified: 2020-07-13 17:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:43:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3739 None closed [release-4.5] Bug 1846187: baremetal: bump ironic timeout to 3600 seconds 2020-09-04 03:33:58 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:44:07 UTC

Description OpenShift BugZilla Robot 2020-06-11 02:22:50 UTC
+++ This bug was initially created as a clone of Bug #1843314 +++

Cluster version: 4.4.4

In our testbeds we occasionally see timeouts occuring during the phase when ironic is being brought up.

time="2020-06-02T20:56:12Z" level=debug msg="module.masters.ironic_node_v1.openshift-master-host[2]: Still creating... [34m0s elapsed]"
time="2020-06-02T20:56:12Z" level=debug msg="module.masters.ironic_node_v1.openshift-master-host[0]: Still creating... [34m0s elapsed]"
time="2020-06-02T20:56:17Z" level=error
time="2020-06-02T20:56:17Z" level=error msg="Error: could not contact API: timeout reached"

When I check the bootstrap VM - I see that it works fine, just took it a bit longer than 30 minutes to boot with the ignition config and to get the rhcos image.

Would it be possible to increase the timeout to say 1 hour.

Thanks.

--- Additional comment from sasha@redhat.com on 2020-06-04 20:52:50 UTC ---

Just did some tests today on somewhat slow testbeds.
Successfully deployed 4.4.5 today.

As you can see from below it took a bit less than 27 mins:
time="2020-06-04T07:14:52Z" level=debug msg="module.masters.ironic_node_v1.openshift-master-host[0]: Creation complete after 26m49s [id=4d8b98b2-ff8e-400d-bf07-ef8778e6183b]"
time="2020-06-04T07:14:53Z" level=debug msg="module.masters.ironic_node_v1.openshift-master-host[2]: Creation complete after 26m50s [id=85acbf97-106e-4bee-83fa-4b855d69069c]"
time="2020-06-04T07:14:53Z" level=debug msg="module.masters.ironic_node_v1.openshift-master-host[1]: Creation complete after 26m50s [id=7b522fe0-91a8-4234-898f-3a837ea5ccd9]"


Then tried to install 4.5.0-0.nightly-2020-06-04-025914 it was timing out around 25 mins.

Comment 3 errata-xmlrpc 2020-07-13 17:43:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.